Skip to main content
GET
/
integrations
/
v1
/
contacts
Listar contactos (Integraciones externas)
curl --request GET \
  --url https://lumos-am-prd.azure-api.net/api/external/integrations/v1/contacts
{
  "success": true,
  "data": [
    {
      "id": "<string>",
      "accountId": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "isPrimary": true,
      "status": "active",
      "email": "<string>",
      "phone": "<string>",
      "mobile": "<string>",
      "position": "<string>",
      "department": "<string>",
      "account_name": "<string>",
      "source": "<string>",
      "isIntegration": true,
      "createdAt": "<string>",
      "updatedAt": "<string>"
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "pages": 123
  }
}
Requiere header x-api-key y tenantId en query.

Query Parameters

tenantId
string
required
Minimum string length: 1
page
integer
Required range: x >= 1
limit
integer
Required range: 1 <= x <= 200
accountId
string
isPrimary
boolean
status
enum<string>
Available options:
active,
inactive

Response

Default Response

success
boolean
required
data
Contact · object[]
required
pagination
object
required